# Module snail

shell script interpreter library

### Introduction

The snail library houses Hilbish’s Lua wrapper of its shell script interpreter. It’s not very useful other than running shell scripts, which can be done with other Hilbish functions.

### Functions

new() -> @Snail | Creates a new Snail instance.

#### snail.new() -> Snail

Creates a new Snail instance.

##### Parameters

This function has no parameters.

### Types

### Snail

A Snail is a shell script interpreter instance.

#### Methods

##### run(command, streams)

Runs a shell command. Works the same as `hilbish.run`.